Philips Ie33 Software Below Or Equal 50Xx Needed - Preste serviços de manutenção a técnicos Forum
advertisement

philips ie33 software below or equal 5.0.XX needed

(2)

Egzon Rock

philips ie33 software below or equal 5.0.XX needed

October 08, 2019 09:06

hello everyone, I'm looking for ie33 software which is 5.0.XXX or below this version, does everyone have it?
thank you!

Log inor Register

to rate and post a comment

(14)
(1)

UltraServiceMed

re: philips ie33 software below or equal 5.0.XX needed

October 14, 2019 10:16

please contact philips they will be happy to help you with this if your machine came with the same software.

Log inor Register

to rate and post a comment

(2)

Egzon Rock

re: re: philips ie33 software below or equal 5.0.XX needed

October 15, 2019 10:36

Dear, thank you so much for your kind reply, I just found a solution, I've downgraded the software, and everything seems to be OK!
once again thank you

Log inor Register

to rate and post a comment

Certified Pre-Owned Endoscopes, All Major Brands, Best Pricing & Warranty.

We are the best choice for all your Endoscopy needs. We have Certified Pre-Owned refurbished and used Endoscopes, and all other related components and accessories. We are committed to your absolute satisfaction. (513) 469-7267

DOTmed Certified DOTmed 100
advertisement

 

advertisement

 

advertisement

 

advertisement